Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.rules
Class JboCompareValidator

    java.lang.Object
      |
      +--oracle.jbo.server.rules.JboBaseValidator
            |
            +--oracle.jbo.server.rules.JboCompareValidator

Direct Known Subclasses:
  JboSQLCompareValidator, JboVOCompareValidator

public class JboCompareValidator
extends JboBaseValidator
implements JbiValidator

A validator that tests literal values by comparing them to a pre-defined value, using a pre-defined relation.

The value to be validated is designated as the left-hand operand of a relation operation. The validator provides the right-hand operand and the relation operator.

Since:
  Jdeveloper 3.0

Field Summary
`static int` | `EQUALTO`
`static int` | `GREATERTHAN`
`static int` | `GREATERTHANEQUALTO`
`static int` | `LESSTHAN`
`static int` | `LESSTHANEQUALTO`
`protected int` | `mOperType`
`protected java.lang.Object` | `mRValue`

Fields inherited from class oracle.jbo.server.rules.JboBaseValidator
`mLValue`

Constructor Summary
`` | `JboCompareValidator()` Creates an uninitialized compare validator.
`protected` | `JboCompareValidator(boolean inverse, int operType)` Creates an partially-initialized compare validator.
`` | `JboCompareValidator(boolean inverse, int operType, java.lang.Object rValue)` Creates an initialized compare validator.

Method Summary
`static int` | `convertOperType(java.lang.String type)` Interprets a string as one of the comparison operator constants defined in this class.
`java.lang.String` | `getOperatorTypeString()` Converts this validator's comparison operator to its symbolic form.
`java.lang.Object` | `getRhsValue()` Gets the right-side operand of this validator's expression.
`int` | `getType()` Gets this validator's comparison operator.
`protected void` | `setNewValue(java.lang.Object newValue)` after setting the new value, prepare the comparator to be of same type if it is not already so.
`void` | `setRhsValue(java.lang.Object rhsValue)` Sets the right-side operand of this validator's expression.
`void` | `setType(int type)` Sets this validator's comparison operator.
`java.lang.String` | `toString()` Internal: For debugging purposes only.
`boolean` | `validateValue(java.lang.Object value)` Validate an object by comparing it with a pre-defined value, using a pre-defined relation.

Methods inherited from class oracle.jbo.server.rules.JboBaseValidator
`getDescription, getInverse, setDescription, setInverse, setValidatingAttribute, setValidatingAttribute, vetoableChange`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EQUALTO

    public static final int EQUALTO

### LESSTHAN

    public static final int LESSTHAN

### GREATERTHAN

    public static final int GREATERTHAN

### LESSTHANEQUALTO

    public static final int LESSTHANEQUALTO

### GREATERTHANEQUALTO

    public static final int GREATERTHANEQUALTO

### mOperType

    protected int mOperType

### mRValue

    protected java.lang.Object mRValue

Constructor Detail

### JboCompareValidator

    public JboCompareValidator()

  Creates an uninitialized compare validator.

  The methods `setType()` and `setRhsValue()` must be invoked before validation can be performed.

### JboCompareValidator

    protected JboCompareValidator(boolean inverse,
                                  int operType)

  Creates an partially-initialized compare validator.

  The method `setRhsValue()` must be invoked before validation can be performed.

  Parameters:
    `inverse` - if `true` the logic of this validator's comparison relation is inverted.
    `operType` - this validator's comparison operator; one of the comparison operator constants defined in this class.

### JboCompareValidator

    public JboCompareValidator(boolean inverse,
                               int operType,
                               java.lang.Object rValue)

  Creates an initialized compare validator.

  Parameters:
    `inverse` - if `true` the logic of this validator's comparison relation is inverted.
    `operType` - this validator's comparison operator; one of the comparison operator constants defined in this class.
    `rValue` - this validator's right-hand operand, a reference object containing a literal value.

Method Detail

### setNewValue

    protected void setNewValue(java.lang.Object newValue)
                        throws java.lang.Exception

  after setting the new value, prepare the comparator to be of same type if it is not already so.
  Overrides:
    setNewValue in class JboBaseValidator
  Tags copied from class: JboBaseValidator
  Parameters:
    `newValue` - either the attribute's value or a value to use to compare in the validator.

### validateValue

    public boolean validateValue(java.lang.Object value)

  Validate an object by comparing it with a pre-defined value, using a pre-defined relation.

  The `value` parameter is the left-hand operand of this validator's comparison relation. The operator is set by `setType()` and the right-hand operator is set by `setRhsValue()`.

  This method is called by `JboBaseValidator#vetoableChange()`.

  Specified by:
    validateValue in interface JbiValidator
  Overrides:
    validateValue in class JboBaseValidator
  Parameters:
    `value` - the object to be validated.
  Returns:
    `true` if the relation holds, or `false` if the relation does not hold or if the operator or an operand is invalid or uninitialized.

### setType

    public void setType(int type)

  Sets this validator's comparison operator.
  Parameters:
    `type` - one of the comparison operator constants defined in this class.

### getType

    public int getType()

  Gets this validator's comparison operator.

### setRhsValue

    public void setRhsValue(java.lang.Object rhsValue)

  Sets the right-side operand of this validator's expression.
  Parameters:
    `rhsValue` - a reference object containing a literal value.

### getRhsValue

    public java.lang.Object getRhsValue()

  Gets the right-side operand of this validator's expression.

### toString

    public java.lang.String toString()

  Internal: For debugging purposes only.

  Overrides:
    toString in class java.lang.Object

### convertOperType

    public static int convertOperType(java.lang.String type)

  Interprets a string as one of the comparison operator constants defined in this class.
  Parameters:
    `type` - a string, the textual name of a comparison operator.
  Returns:
    a comparison operator constant. An unrecognizable string defaults to `EQUALTO`.

### getOperatorTypeString

    public java.lang.String getOperatorTypeString()

  Converts this validator's comparison operator to its symbolic form.
  Returns:
    a comparison symbol. If the comparison operator is uninitialized or invalid the null string is returned.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD